﻿Imports System.Drawing
Imports System.IO
Imports Syncfusion.DocIO
Imports Syncfusion.DocIO.DLS

Module Module1

    Sub Main()





        'Loads an existing Word document
        Dim document As WordDocument = New WordDocument("etpdp.doc")


        'Iterates into each sections in Word document.
        For Each sec As WSection In document.Sections
            'Iterates into all Footers and set text in textbox.
            For Each entity As IEntity In sec.HeadersFooters.FirstPageFooter.ChildEntities
                AddTextInTextBox(entity, "Textbox in first page footer")
            Next
            For Each entity As IEntity In sec.HeadersFooters.OddFooter.ChildEntities
                AddTextInTextBox(entity, "Textbox in odd footer")
            Next
            For Each entity As IEntity In sec.HeadersFooters.EvenFooter.ChildEntities
                AddTextInTextBox(entity, "Textbox in even footer")
            Next
            'Iterates into all Headers and set text in textbox.
            For Each entity As IEntity In sec.HeadersFooters.FirstPageHeader.ChildEntities
                AddTextInTextBox(entity, "Textbox in first page header")
            Next
            For Each entity As IEntity In sec.HeadersFooters.OddHeader.ChildEntities
                AddTextInTextBox(entity, "Textbox in odd header")
            Next
            For Each entity As IEntity In sec.HeadersFooters.EvenHeader.ChildEntities
                AddTextInTextBox(entity, "Textbox in even header")
            Next
        Next



        'Replaces the text in the Word document.
        document.Replace("telSociete", "+1 919.481.1974", False, False)
        document.Replace("emailSociete", "support@syncfusion.com", False, False)
        document.Replace("sitewebSociete", "www.syncfusion.com", False, False)

        'Replaces the text with picture.
        Dim textBodyPart As TextBodyPart = New TextBodyPart(document)
        Dim paragraph As WParagraph = New WParagraph(document)
        paragraph.AppendPicture(Image.FromFile("logo.png"))
        textBodyPart.BodyItems.Add(paragraph)
        document.Replace("Logo société (grand)", textBodyPart, False, False)


        'Saves and closes the Word document.
        document.Save("Sample.doc", FormatType.Doc)
        document.Close()

        'Launch the saved document.
        System.Diagnostics.Process.Start("Sample.doc")

    End Sub
    ''' <summary>
    ''' Iterates into paragraph and change the contents of textbox.
    ''' </summary>
    ''' <param name="entity"></param>
    Private Sub AddTextInTextBox(ByVal entity As IEntity, ByVal text As String)
        If (entity.EntityType = EntityType.Paragraph) Then
            'Iterates into each items in paragraph.
            For Each para As IEntity In CType(entity, WParagraph).ChildEntities
                If (para.EntityType = EntityType.TextBox) Then
                    Dim textbox As WTextBox = CType(para, WTextBox)
                    'Append text in the textbox.
                    textbox.TextBoxBody.Paragraphs(0).AppendText(text)
                    'Fills the color in textbox
                    textbox.TextBoxFormat.FillColor = Color.Red
                    'Resize the textbox size to fit based on the contents.
                    textbox.TextBoxFormat.AutoFit = True
                End If
            Next
        End If

    End Sub

End Module
